﻿using System.Web.Mvc;
using System.Web.Routing;
using LegacyRoutingMVC.MvcLegacyRouting;

namespace LegacyRoutingMVC
{
    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            // Legacy routes.
            routes.Add(new LegacyRoute("YourPage.aspx", "Home/YourPage"));

            routes.MapRoute(
                "Default",                                              // Route name
                "{controller}/{action}/{id}",                           // URL with parameters
                new { controller = "Home", action = "Index", id = "" }  // Parameter defaults
            );
        }

        protected void Application_Start()
        {
            RegisterRoutes(RouteTable.Routes);
        }
    }
}